# Copyright (c) 2006-2009 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

%define soname 0

Name:           bml
Version:        0.6.1
Release:        2.1
Summary:        A library that loads buzz machines from the windows music composer buzz
License:        LGPL-2.0+
Group:          System/Libraries
Url:            http://www.buzztard.org/
Source:         http://downloads.sourceforge.net/project/buzztard/buzz%20machine%20loader/%{version}/bml-%{version}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The libbml is a library that loads buzz machines from the windows
music composer buzz, so that Linux apps can use them.

Note: You need to copy all *.dll libraries from a windows buzz
installation, for details see README.

%package -n libbml%{soname}
Summary:        A library that loads buzz machines from the windows music composer buzz
Group:          System/Libraries

%description -n libbml%{soname}
The libbml is a library that loads buzz machines from the windows
music composer buzz, so that Linux apps can use them.

Note: You need to copy all *.dll libraries from a windows buzz
installation, for details see README.

%package -n libbml-devel
Summary:        Include Files and Libraries mandatory for Development
Group:          Development/Languages/C and C++
Requires:       libbml%{soname} = %{version}

%description -n libbml-devel
This package contains the files needed to compile programs that use
the libbml library.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR=%{?buildroot}
rm %{buildroot}%{_libdir}/*.la
rm %{buildroot}%{_libdir}/bml/*.la

%post -n libbml%{soname} -p /sbin/ldconfig

%postun -n libbml%{soname} -p /sbin/ldconfig

%files -n libbml%{soname}
%defattr(0644,root,root,0755)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_libdir}/libbml.so.%{soname}*
%{_libdir}/bml
%ifarch %ix86
%{_libdir}/win32
%endif

%files -n libbml-devel
%defattr(0644,root,root,0755)
%{_libdir}/libbml.so
%{_libdir}/pkgconfig/libbml.pc
%{_includedir}/libbml

%changelog
* Mon Jun  4 2012 toddrme2178@gmail.com
- Added 32-bit compatibility library (needed by
  gstreamer-0_10-plugins-buzztard-32bit )
* Mon May  7 2012 reddwarf@opensuse.org
- update to 0.6.1
* Sat Oct 24 2009 toni@links2linux.de
- update to 0.5.0
-  In bml, the API was split into the library and the instance API.
* Thu Nov 27 2008 toni@links2linux.de
- update to 0.4.0
* Thu Mar 27 2008 toni@links2linux.de
- update to 0.3.0
* Fri Sep  7 2007 toni@links2linux.de
- changed package layout according Shared Library Packaging Policy
* Thu May  3 2007 toni@links2linux.de
- update to 0.2.0
* Fri Nov 10 2006 toni@links2linux.de
- initial build 0.1.0
